
From: Benjamin Herrenschmidt <benh@kernel.crashing.org>

This is a resend of a patch sent in July and that got lost somewhat, the
"VSCR" register wasn't restored properly from the context on
load_up_altivec (typo), please apply the fix:

Signed-off-by: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/head.S |    1 +
 1 files changed, 1 insertion(+)

diff -puN arch/ppc64/kernel/head.S~ppc64fix-missing-register-in-altivec-context-switch arch/ppc64/kernel/head.S
--- 25/arch/ppc64/kernel/head.S~ppc64fix-missing-register-in-altivec-context-switch	2004-09-12 23:01:43.010635136 -0700
+++ 25-akpm/arch/ppc64/kernel/head.S	2004-09-12 23:01:43.023633160 -0700
@@ -1579,6 +1579,7 @@ _STATIC(load_up_altivec)
 	li	r10,THREAD_VSCR
 	stw	r4,THREAD_USED_VR(r5)
 	lvx	vr0,r10,r5
+	mtvscr	vr0
 	REST_32VRS(0,r4,r5)
 #ifndef CONFIG_SMP
 	/* Update last_task_used_math to 'current' */
_
